
Foreman - Bug #17998

Only print LDAP bind status if available 

01/10/2017 04:14 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Logging   

Target version: 1.14.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4167

  

Description

The ldap logger tries to call payload[:bind].status but it might not be defined if the bind goes wrong.

This causes a 500 instead of logging the status of the bind. We should display payload[:bind] and only .status if it's available.

Associated revisions

Revision 7447d046 - 01/10/2017 09:18 AM - Daniel Lobato Garcia

Fixes #17998 - Only print LDAP bind status if available

The ldap logger tries to call payload[:bind].status but it might not be

defined if the bind goes wrong in some LDAP sources.

This causes a 500 instead of logging the status of the bind. We should

only display payload[:bind].status if it's available.

Revision 1040ff65 - 01/30/2017 11:09 AM - Daniel Lobato Garcia

Fixes #17998 - Only print LDAP bind status if available

The ldap logger tries to call payload[:bind].status but it might not be

defined if the bind goes wrong in some LDAP sources.

This causes a 500 instead of logging the status of the bind. We should

only display payload[:bind].status if it's available.

(cherry picked from commit 7447d046a09751a96bff0f1e857e85a7aa176396)

History

#1 - 01/10/2017 04:18 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/4167 added

#2 - 01/10/2017 10:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7447d046a09751a96bff0f1e857e85a7aa176396.

#3 - 01/11/2017 03:22 AM - Dominic Cleal

- translation missing: en.field_release set to 210

#4 - 01/24/2017 09:58 AM - Daniel Lobato Garcia

- Target version set to 169
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/7447d046a09751a96bff0f1e857e85a7aa176396


#5 - 02/18/2017 10:23 AM - Brad Buckingham

- Target version deleted (169)

#6 - 02/21/2017 09:53 AM - Daniel Lobato Garcia

- Target version set to 1.11.0
